Bug 788260 - CVE-2011-4086 kernel: jbd2: unmapped buffer with _Unwritten or _Delay flags set can lead to DoS [fedora-all]
Summary: CVE-2011-4086 kernel: jbd2: unmapped buffer with _Unwritten or _Delay flags s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-4086
TreeView+ depends on / blocked
 
Reported: 2012-02-07 21:56 UTC by Petr Matousek
Modified: 2012-02-11 22:02 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.42.3-2.fc15
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-10 22:00:07 UTC


Attachments (Terms of Use)

Description Petr Matousek 2012-02-07 21:56:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=749143

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Information with regards to this bug is considered Red Hat Confidential until the embargo has lifted. Please post the patch only to the 'rhkernel-team-list' mailing list for review and acks.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Josh Boyer 2012-02-08 00:15:02 UTC
This is mostly fixed in all Fedora branches, as commit 
4e96b2dbbf1d7e81f22047a50f862555a6cb87cb resolved the issue and went into the 3.2 kernel release.  However, Eric posted a follow up patch to fix the root of the problem here:

http://thread.gmane.org/gmane.comp.file-systems.ext4/30623

That can be applied to all branches.

Comment 2 Josh Boyer 2012-02-08 13:48:43 UTC
The above patch has been applied to all Fedora branches.

Comment 3 Fedora Update System 2012-02-09 03:02:40 UTC
kernel-2.6.42.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.42.3-2.fc15

Comment 4 Fedora Update System 2012-02-09 04:15:55 UTC
kernel-3.2.5-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.2.5-3.fc16

Comment 5 Fedora Update System 2012-02-10 00:54:42 UTC
Package kernel-3.2.5-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.2.5-3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1497/kernel-3.2.5-3.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-02-10 22:00:07 UTC
kernel-3.2.5-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-02-11 22:02:52 UTC
kernel-2.6.42.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.